Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158578 - process_bug.cgi should redirect to show_bug.cgi once changes commited
Summary: process_bug.cgi should redirect to show_bug.cgi once changes commited
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.6
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: 4.2-1
Assignee: Simon Green
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 19:17 UTC by David Lawrence
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-01 03:31:44 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-05-23 19:17:26 UTC
Description of problem:
Instead of redisplaying the new bug data in the template once changes are
commited leaving process_bug.cgi in the URL, Bugzilla should wait a few seconds
and then redirect to show_bug.cgi?id=<same bug> automatically. This keeps
problems with accidently reloading the page which causes midair collisions.

Version-Release number of selected component (if applicable):
2.18

Comment 1 Ulrich Drepper 2005-05-23 19:23:45 UTC
Another possibility: add the extra message today displayed by process_bug.cgi as
a parameter to the show_bug.cgi page.  Then you don't have to show the
process_bug.cgi page at all, i.e., no timeout.  No need to spell out the message
in the URL, just an identifier for it.  There are only a few different messages
which are created.

Comment 2 David Lawrence 2008-09-16 16:52:41 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 3 Ulrich Drepper 2008-09-16 20:18:38 UTC
I think this has been changed in the previous version.  I cannot remember what happened when I filed a new bug with the new BZ.  I assume it's still working as expected but I'll leave the bug open until verified.

Comment 4 David Lawrence 2010-01-15 17:32:36 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.

Comment 5 David Lawrence 2010-08-25 21:40:51 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 8 Simon Green 2012-05-01 03:31:44 UTC
This was changed in Bugzilla 4, and we will inherit this change when we migrate.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.